﻿using QuestTools.Helpers;
using System;
using Zeta.Bot;
using Logger = QuestTools.Logger;

namespace Arcanum
{
    public class Arcanum : QuestToolsPlugin
    {
        private Arcanum()
        {
            Name = "Arcanum";
            Version = new Version(1, 1, 0);
            Author = "xzjv";
            Description = "Enchanting";
        }

        public override void OnInitialize()
        {
            BotMain.OnStop += ibot =>
            {
                if (IsEnabled)
                    UI.Attach();
            };
        }

        public override void OnEnabled()
        {
            Logger.Log("{0} v{1} by {2} Enabled!", Name, Version, Author);
            IsEnabled = true;
            UI.Attach();
        }

        public override void OnDisabled()
        {
            Logger.Log("{0} v{1} by {2} Disabled!", Name, Version, Author);
            IsEnabled = false;
            UI.Detach();            
        }

        public bool IsEnabled { get; set; }
    }
}